# $Id: autospec.spec,v 1.12 2003/04/01 18:11:23 dan Exp $
Summary: Automatically generate RPM spec files
Name: autospec
%define version 0.8
Version: %{version}
Release: 1
Group: Development/Tools
Copyright: GPL
Source: http://www.npsnet.com/danf/software/pub/autospec-%{version}.tar.gz
URL: http://www.npsnet.com/danf/software/
Prefix: /usr
Requires: python >= 1.3
BuildArchitectures: noarch
BuildRoot: /tmp/autospec-%{version}-root

%description
autospec creates spec files used by the Red Hat Package Manager rpm
in building RPM packages.  It uses the information it can determine
(from a list of files or an install script) to fill in the proper spec
file fields and inserts several more commented-out fields that it cannot
fill in. This allows a human packager to use the generated spec file as
an almost complete template to quickly create an RPM package from a
typical source or binary archive.

%prep
%setup

%install
make prefix="${RPM_BUILD_ROOT}/usr" install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%changelog
* Tue Apr  1 2003 Dan Fandrich <dan@coneharvesters.com>
- Updated to ver. 0.8

* Fri Feb 14 2003 Dan Fandrich <dan@coneharvesters.com>
- Updated to ver. 0.7.2.

* Tue Sep 24 2002 Dan Fandrich <dan@coneharvesters.com>
- Updated to ver. 0.7.1. Added better guessing of spec contents.
- Produce rpm ver. 3 spec files by default.
- Added %postinstall for libraries.
- Made man page a wild card so distributions that automatically compress
  man pages within RPM will work with this spec file.
- Replace path names with macros on rpm >= 3

* Sat Feb  9 2002 Dan Fandrich <dan@coneharvesters.com>
- Updated to ver. 0.7. Moved COPYING file to %doc directory.

* Tue May  8 2001 Dan Fandrich <dan@coneharvesters.com>
- Updated to ver. 0.6.  Added %clean section.

* Thu Mar 29 2001 Dan Fandrich <dan@coneharvesters.com>
- Updated to ver. 0.5.  Added RPM version compatibility option.
  Improved install script parsing. Added more magic documentation file names.
  Using BuildRoot whenever -i not used. Added %changelog section.
  Moved Python source to /usr/share/autospec

* Mon Jun  5 2000 Dan Fandrich <dan@coneharvesters.com>
- Updated to ver. 0.4. Supports new-style LSM files.

* Thu Feb 25 1999 Dan Fandrich <dan@fch.wimsey.bc.ca>
- Updated to ver. 0.3.  Supports getting info from LSM files.
  Meaning of -d flag is inverted.

* Sun Aug  9 1998 Dan Fandrich <dan@fch.wimsey.bc.ca>
- renamed %changes to %changelog; release 2

* Sun Aug  9 1998 Dan Fandrich <dan@fch.wimsey.bc.ca>
- added BuildRoot; tweaked %description; changed to version 0.2

* Tue Jul 14 1998 Dan Fandrich <dan@fch.wimsey.bc.ca>
- initial release

%files
%attr(-,root,root) %doc /usr/man/man1/autospec.1*
%attr(-,root,root) %dir /usr/share/autospec
%attr(-,root,root) %doc COPYING
%attr(-,root,root) /usr/share/autospec/*.py
%attr(-,root,root) /usr/bin/autospec
